<?php
$wp_customize->add_section(
    'support_area',
    array(
        'title' => __('Support Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'support_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'support_area_disable',
        array(
            'settings'      => 'support_area_disable',
            'section'       => 'support_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'support', 'support_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'supportarea_padding', 'support_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'support_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_areaTpadding',
    array(
        'settings'      => 'support_areaTpadding',
        'section'       => 'support_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'support_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_areaBpadding',
    array(
        'settings'      => 'support_areaBpadding',
        'section'       => 'support_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);


$wp_customize->add_setting('support_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'support_area_lbl',
        array(
            'settings'      => 'support_area_lbl',
            'section'       => 'support_area',
            'label'         => __( 'Note1:', 'Luzuk' ),  
            'description'   => __( 'Changes will not reflect unless you select an icon for page', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting('support_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'support_npp_heading',
        array(
            'settings'      => 'support_npp_heading',
            'section'       => 'support_area',
            'label'         => __( 'Number Of Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('support_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'support_npp_count',
    array(
        'settings'      => 'support_npp_count',
        'section'       => 'support_area',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'support_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'support_header'.$i,
            array(
                'settings'      => 'support_header'.$i,
                'section'       => 'support_area',
                'label'         => __( 'Page ', 'luzuk-premium' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'pro_b_page_icon'.$i,
        array(
            'default'           => 'fa fa-cube',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'pro_b_page_icon'.$i,
            array(
                'settings'      => 'pro_b_page_icon'.$i,
                'section'       => 'support_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );
 
    lzAddElement($wp_customize, 'pro_b_page_title'.$i, 'support_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='<span>Travellers</span> love us');

    lzAddElement($wp_customize, 'pro_b_page_description'.$i, 'support_area', $type = 'textarea', $label="Description", $callback ='luzuk_sanitize_text', $default='Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has industrys.');

}

lzCustomLable($wp_customize, 'supportarea_color', 'support_area', 'Section Color');


addColorPalatOption($wp_customize, 'suparacbxhv', 'support_area', 'Section contain Box Background Hover Color', '#ff1944');

addColorPalatOption($wp_customize, 'suparacbrdhv', 'support_area', 'Section contain Box Border Hover Color', '#131313');

addColorPalatOption($wp_customize, 'supportarea_ttlthgColor', 'support_area', 'Support Highlight Title Color', '#131313');

addColorPalatOption($wp_customize, 'supportarea_ttlthghv', 'support_area', 'Support Highlight Title hover color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_BoxttlColor', 'support_area', 'Support Title Color', '#131313');

addColorPalatOption($wp_customize, 'supportarea_Boxttlhv', 'support_area', 'Support Title Hover Color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_BoxdescColor', 'support_area', 'Section Description Color', '#7f7f7f');

addColorPalatOption($wp_customize, 'supportarea_Boxdeschv', 'support_area', 'Section Description Hover Color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_ficonColor', 'support_area', 'Section Icon Color', '#131313');

addColorPalatOption($wp_customize, 'supportarea_ficonhoverColor', 'support_area', 'Section Icon Hover Color', '#fff');



 
